###########################################################################
# Create an RPM for the oddmanout script                                  #
#                                                                         #
# By Scott Pakin <pakin@lanl.gov>                                         #
#                                                                         #
# ----------------------------------------------------------------------- #
#                                                                         #
# This program was prepared by the Regents of the University of           #
# California at Los Alamos National Laboratory (the University) under     #
# contract No. W-7405-ENG-36 with the U.S. Department of Energy (DOE).    #
# All rights in the program are reserved by the DOE and the University.   #
# Permission is granted to the public to copy and use this software       #
# without charge, provided that this Notice and any statement of          #
# authorship are reproduced on all copies.  Neither the U.S. Government   #
# nor the University makes any warranty, express or implied, or assumes   #
# any liability or responsibility for the use of this software.           #
#                                                                         #
###########################################################################

Name: oddmanout
Summary: Run a program on a number of machines and report which ones gave different output
Version: 1.1
Release: 2
URL: http://www.c3.lanl.gov/~pakin/software/
Source0: %{name}-%{version}.tar.gz
License: LANL
Group: Applications/System
BuildRoot: %{_tmppath}/%{name}-%{version}-root
Vendor: PAL team, CCS-3 group, Los Alamos National Laboratory
BuildRequires: groff, ghostscript, perl >= 5.6.0
Requires: perl >= 5.6.0
BuildArch: noarch
Prefix: /usr

%description
Homogeneity is a desirable attribute for workstation clusters used for
high-performance computing.  However, it can be difficult to ensure
that all nodes in the cluster are exactly the same.  Nodes may have
hung processes, filesystems that failed to mount, modules that failed
to load, etc.  On very large clusters, there may even be nodes with
different CPU speeds or amounts of memory.  oddmanout helps find nodes
that are different from the rest.  The idea is to run a command (or
set of commands) on every node of a cluster, find the most common
output across all nodes, and report those nodes whose output is
different from that.

%prep
%setup

%build
make
make oddmanout.pdf

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%{_bindir}/oddmanout
%{_mandir}/man1/oddmanout.1*
%doc LICENSE oddmanout.pdf

%changelog
* Fri Oct 24 2003 Scott Pakin <pakin@lanl.gov>
- updated legal notice as dictated by LANL Industrial Business Development

* Tue May 27 2003 Scott Pakin <pakin@lanl.gov>
- initial build
